<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>支付宝alipay.acquire.overseas.spot.pay接口</title>
</head>
<?php
/* *
 * 功能：alipay.acquire.overseas.spot.pay接口接入页
 * 版本：3.3
 * 修改日期：2012-07-23
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
 * 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。

 *************************注意*************************
 * 如果您在接口集成过程中遇到问题，可以按照下面的途径来解决
 * 1、商户服务中心（https://b.alipay.com/support/helperApply.htm?action=consultationApply），提交申请集成协助，我们会有专业的技术工程师主动联系您协助解决
 * 2、商户帮助中心（http://help.alipay.com/support/232511-16307/0-16307.htm?sh=Y&info_type=9）
 * 3、支付宝论坛（http://club.alipay.com/read-htm-tid-8681712.html）
 * 如果不想使用扩展功能请把扩展功能参数赋空值。
 */

require_once("alipay.config.php");
require_once("lib/alipay_submit.class.php");

/**************************请求参数**************************/



       
        $alipay_seller_id = $_POST['WIDalipay_seller_id'];
	//Same value with partner ID
	
	        
        $quantity = $_POST['WIDquantity'];
	//Quantity of commodity
		
	       
        $trans_name = $_POST['WIDtrans_name'];
	//The name of the transaction which will be shown in the transaction record’s list.
	
        $partner_trans_id = $_POST['WIDpartner_trans_id'];
	//The transaction Id on the partner system which could be a sale order id and payment order id.
		
		
	$currency = $_POST['WIDcurrency'];
	//The currency used for labelling the price of the transaction. this is also the settlement currency Alipay settled to the partner.
	
	
	$trans_amount = $_POST['WIDtrans_amount'];
	//the transaction amount in the currency given above;
	
	
	$buyer_identity_code = $_POST['WIDbuyer_identity_code'];
	//Used as identification of an Alipay user.
	
        
        //identity_code_type
        $identity_code_type = $_POST['WIDidentity_code_type'];
        ////The identity code type could be QRcode or barcode


        //biz_data
        $trans_create_time = $_POST['WIDtrans_create_time'];
      //The time that the partner system creates the transaction.Format：YYYYMMDDHHMMSS

        //memo
        $memo = $_POST['WIDmemo'];
        //Transaction notes
	
	//biz_product
        $biz_product = $_POST['WIDbiz_product'];
        //Product name. For now it’s an static value which is mandatory Value: OVERSEAS_MBARCODE_PAY
	
	//extend_info
        $extend_info = $_POST['WIDextend_info'];
 


/************************************************************/

//构造要请求的参数数组，无需改动
$parameter = array(
		"service" => "alipay.acquire.overseas.spot.pay",
		"partner" => trim($alipay_config['partner']),

		"alipay_seller_id"	=> $alipay_seller_id,
		"quantity"	=> $quantity,
		"trans_name"	=> $trans_name,
		"partner_trans_id"	=> $partner_trans_id,
		"currency"	=> $currency,
		"trans_amount"	=> $trans_amount,
		"buyer_identity_code"	=> $buyer_identity_code,
		"identity_code_type"	=> $identity_code_type,
		"trans_create_time"	=> $trans_create_time,
		"memo"	=> $memo,
		"biz_product"	=> $biz_product,
		"extend_info"	=> $extend_info,
		
		"_input_charset"	=> trim(strtolower($alipay_config['input_charset']))
);

//建立请求
$alipaySubmit = new AlipaySubmit($alipay_config);
$html_text = $alipaySubmit->buildRequestHttp($parameter);
//解析XML
//注意：该功能PHP5环境及以上支持，需开通curl、SSL等PHP配置环境。建议本地调试时使用PHP开发软件
$doc = new DOMDocument();
$doc->loadXML($html_text);

//请在这里加上商户的业务逻辑程序代码

//——请根据您的业务逻辑来编写程序（以下代码仅作参考）——

//获取支付宝的通知返回参数，可参考技术文档中页面跳转同步通知参数列表

//解析XML
if( ! empty($doc->getElementsByTagName( "alipay" )->item(0)->nodeValue) ) {
	$alipay = $doc->getElementsByTagName( "alipay" )->item(0)->nodeValue;
	echo $alipay;
}

//——请根据您的业务逻辑来编写程序（以上代码仅作参考）——

?>
</body>
</html>